# $Revision: 1.25.2.1.2.1 $, $Date: 2003/08/14 12:28:46 $
Summary:	The GNOME2 virtual file-system libraries
Summary(pl):	Biblioteki wirtualnego systemu plikw dla GNOME2
Summary(pt_BR):	Arquivos de dados tipo MIME para o desktop GNOME
Name:		gnome-mime-data
Version:	2.0.1
Release:	2
License:	LGPL
Group:		X11/Applications
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.0/%{name}-%{version}.tar.bz2
# Source0-md5:	5c1a7b94339f6b0c4bf3f0aaa3c5a870
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildArch:	noarch
Provides:	gnome-vfs-data = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	gnome-vfs-data

%define         _prefix         /usr/X11R6
%define         _mandir         %{_prefix}/man
%define         _sysconfdir     /etc/X11/GNOME2

%description
This module contains the base MIME and Application database for GNOME.
It is meant to be accessed through the MIME functions in GnomeVFS.

%description -l pl
Ten modu zawiera bazowe MIME oraz baz Aplikacji dla GNOME.
Przeznaczony jest do udostpniania przez funkcje MIME w GnomeVFS.

%description -l pt_BR
O GNOME MIME contm arquivos de identificao e tipos MIME para o
sistema GNOME.

%package devel
Summary:	Development files for gnome-mime-data
Summary(pl):	Pliki potrzebne przy tworzeniu programw uywajacych gnome-mime-data
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
Developmet files for gnome-mime-data.

%description devel -l pl
Pliki potrzebne przy tworzeniu programw uywajacych gnome-mime-data.

%prep
%setup -q

%build
rm -f missing
glib-gettextize --copy --force
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%{_sysconfdir}/*
%{_datadir}/application-registry
%{_datadir}/mime-info/*
%{_mandir}/man5/*
%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-mime-data.spec,v $
Revision 1.25.2.1.2.1  2003/08/14 12:28:46  trojan
- added source md5sum
- s/pld.org.pl/pld-linux.org/

Revision 1.25.2.1  2003/01/02 13:33:34  trojan
- removed glib2-devel form BuildRequires

Revision 1.25  2002/10/24 07:46:52  malekith
- release 2

Revision 1.24  2002/10/21 09:57:03  trojan
- fixed source URL

Revision 1.23  2002/10/09 13:14:26  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.22  2002/08/29 11:13:33  aflinta
- updated to version 2.0.1

Revision 1.21  2002/06/23 20:32:26  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.20  2002/06/23 02:12:49  kloczek
- use new %doc.

Revision 1.19  2002/06/12 08:10:37  wiget
updated to 2.0.0

Revision 1.18  2002/05/21 23:13:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/05/09 05:49:04  kloczek
- updated to 1.0.8,
- merge translations from Conectiva.

Revision 1.16  2002/04/25 16:26:41  arturs
fixed a small typo

Revision 1.15  2002/04/24 20:19:06  kloczek
- updated to 1.0.7,
- regenerate ac/am/lt files is back.

Revision 1.14  2002/04/13 11:24:10  michuz
- updated to 1.0.6

Revision 1.13  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/12 00:53:58  kloczek
- updated to 1.0.3 (more mime types).

Revision 1.11  2002/02/09 11:59:01  kloczek
- release 2: added gnome-vfs-data to Obsoletes.

Revision 1.10  2002/02/05 16:45:57  wrobell
- typo :-)

Revision 1.9  2002/02/05 16:39:22  kloczek
- typo.

Revision 1.8  2002/02/05 16:38:25  kloczek
- added devel subpackage.

Revision 1.7  2002/02/05 16:15:01  kloczek
- adapterized.

Revision 1.6  2002/02/05 16:13:41  kloczek
- updated %files and added using %%find_lang macro.

Revision 1.5  2002/02/05 16:07:35  kloczek
- updated to 1.0.2 (bugfix release).

Revision 1.4  2002/01/18 02:13:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/18 00:05:23  misiek
- fix Requires/Provides

Revision 1.2  2002/01/17 11:48:33  qboosh
- removed ru,uk Groups inconsistent with the rest

Revision 1.1  2002/01/17 07:25:34  misiek
- initial pld release
